Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.group.impl
Class AbstractNonCommandMember

    java.lang.Object
      com.pietschy.command.group.impl.AbstractGroupMember
          com.pietschy.command.group.impl.AbstractNonCommandMember

All Implemented Interfaces:
  GroupMember

Direct Known Subclasses:
  GlueMember, SeparatorMember

    public abstract class AbstractNonCommandMember

extends AbstractGroupMember

Base class for `GroupMember`s that are not commands. This includes separators and glue members.

Field Summary
`(package private) static java.lang.String` | `_ID_`

Constructor Summary
`AbstractNonCommandMember()`

Method Summary
`void` | `acceptVisitor(GroupVisitor visitor)` Does nothing.
`void` | `addNotify()` Does nothing.
`java.lang.Object` | `getId()` Non command members have no real id in the command sense.
`boolean` | `isMemberFor(java.lang.String id)` Always returns `false`.
`boolean` | `isWaitingFor(java.lang.String id)` Always returns `false`.
`void` | `removeNotify()` Does nothing.
`int` | `size()` Returns 1.

Methods inherited from class com.pietschy.command.group.impl.AbstractGroupMember
`addChangeListener, fireChanged, notifyCommandContainerHierarchyChanged, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.pietschy.command.group.impl.GroupMember
`addComponentTo`

Field Detail

### _ID_

    static final java.lang.String _ID_

See Also:
  Constant Field Values

Constructor Detail

### AbstractNonCommandMember

    public AbstractNonCommandMember()

Method Detail

### getId

    public java.lang.Object getId()

  Non command members have no real id in the command sense. They simply return themselves.

  Returns:
    returns this.

### isWaitingFor

    public boolean isWaitingFor(java.lang.String id)

  Always returns `false`.

  Parameters:
    `id` - the command id.
  Returns:
    `false`

### isMemberFor

    public boolean isMemberFor(java.lang.String id)

  Always returns `false`.

  Parameters:
    `id` - ignored.
  Returns:
    `false`

### size

    public int size()

  Returns 1.

  Returns:
    1

### acceptVisitor

    public void acceptVisitor(GroupVisitor visitor)

  Does nothing.

  Parameters:
    `visitor` - the visitor.

### addNotify

    public void addNotify()

  Does nothing.

### removeNotify

    public void removeNotify()

  Does nothing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch